Skip to content

Get recent news posted by a market’s subject

GET
/markets-v2/{marketOnchainId}/recent-news
curl --request GET \
--url https://api.ethos.network/api/v2/markets-v2/1/recent-news
marketOnchainId
required
integer
> 0 <= 9007199254740991

Successful response

Media typeapplication/json
object
items
required
Array<object>
object
createdAt
required
string
id
required
string
text
required
string
url
required
string

Example generated

{
"items": [
{
"createdAt": "example",
"id": "example",
"text": "example",
"url": "example"
}
]
}

Invalid input data

Media typeapplication/json
Invalid input data error (400)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}

Not found

Media typeapplication/json
Not found error (404)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}

Internal server error

Media typeapplication/json
Internal server error error (500)

The error information

object
message
required

The error message

string
code
required

The error code

string
issues

An array of issues that were responsible for the error

Array<object>
object
message
required
string

Example

{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}